//Gfx converted using Mollusk's PAGfx Converter

//This file contains all the .h, for easier inclusion in a project

#ifndef ALL_GFX_H
#define ALL_GFX_H

#ifndef PAGfx_struct
    typedef struct{
    void *Map;
    int MapSize;
    void *Tiles;
    int TileSize;
    void *Palette;
    int *Info;
} PAGfx_struct;
#endif


// Background files : 
extern const int bg1_Info[3]; // BgMode, Width, Height
extern const unsigned short bg1_Map[768] __attribute__ ((aligned (4))) ;  // Pal : bg1_Pal
extern const unsigned char bg1_Tiles[27520] __attribute__ ((aligned (4))) ;  // Pal : bg1_Pal
extern PAGfx_struct bg1; // background pointer

extern const int bg0_Info[3]; // BgMode, Width, Height
extern const unsigned short bg0_Map[768] __attribute__ ((aligned (4))) ;  // Pal : bg0_Pal
extern const unsigned char bg0_Tiles[28224] __attribute__ ((aligned (4))) ;  // Pal : bg0_Pal
extern PAGfx_struct bg0; // background pointer

extern const int info2_Info[3]; // BgMode, Width, Height
extern const unsigned short info2_Map[768] __attribute__ ((aligned (4))) ;  // Pal : info2_Pal
extern const unsigned char info2_Tiles[30080] __attribute__ ((aligned (4))) ;  // Pal : info2_Pal
extern PAGfx_struct info2; // background pointer

extern const int menu_Info[3]; // BgMode, Width, Height
extern const unsigned short menu_Map[768] __attribute__ ((aligned (4))) ;  // Pal : menu_Pal
extern const unsigned char menu_Tiles[31680] __attribute__ ((aligned (4))) ;  // Pal : menu_Pal
extern PAGfx_struct menu; // background pointer

extern const int status_Info[3]; // BgMode, Width, Height
extern const unsigned short status_Map[768] __attribute__ ((aligned (4))) ;  // Pal : status_Pal
extern const unsigned char status_Tiles[29248] __attribute__ ((aligned (4))) ;  // Pal : status_Pal
extern PAGfx_struct status; // background pointer

extern const int submenu_Info[3]; // BgMode, Width, Height
extern const unsigned short submenu_Map[768] __attribute__ ((aligned (4))) ;  // Pal : submenu_Pal
extern const unsigned char submenu_Tiles[28864] __attribute__ ((aligned (4))) ;  // Pal : submenu_Pal
extern PAGfx_struct submenu; // background pointer


// Palette files : 
extern const unsigned short bg1_Pal[63] __attribute__ ((aligned (4))) ;
extern const unsigned short bg0_Pal[49] __attribute__ ((aligned (4))) ;
extern const unsigned short info2_Pal[123] __attribute__ ((aligned (4))) ;
extern const unsigned short menu_Pal[130] __attribute__ ((aligned (4))) ;
extern const unsigned short status_Pal[102] __attribute__ ((aligned (4))) ;
extern const unsigned short submenu_Pal[106] __attribute__ ((aligned (4))) ;


#endif

